--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Recursively scan a directory and pass each file to the given block.
- !ruby/struct:SM::Flow::P 
  body: "CREDIT: George Moschovitis"
full_name: Dir::recurse
is_singleton: true
name: recurse
params: (path='.', &block)
visibility: public
